Name:           js-yui2
Version:        2.9.0
Release:        6%{?dist}
Summary:        Yahoo User Interface JavaScript library

# Public Domain (partially):
# contains code from Douglas Crockford's json2.js
#   build/yuitest/yuitest.js
#   build/yuitest/yuitest-debug.js
# rest is BSD
License:        BSD and Public Domain
URL:            http://yuilibrary.com/projects/yui2/
# sh clean-tarball.sh
Source0:        js-yui-%{version}-clean.tar.gz
# text of BSD license taken from http://yuilibrary.com/license/
Source1:        LICENSE-BSD
Source2:        clean-tarball.sh

BuildRequires:  web-assets-devel
BuildRequires:  python-slimit
BuildRequires:  python-setuptools
Requires:       web-assets-filesystem

BuildArch:      noarch

%description
YUI Library is a set of utilities and controls written in JavaScript,
for building richly interactive web applications. YUI 2 is a mature
version of the library that has been in production since 2006. The
code line is comprised of a comprehensive collection of over 30
utilities and widgets.

%package jenkins
Summary:        Yahoo User Interface JavaScript library for Jenkins

%description jenkins
YUI Library is a set of utilities and controls written in JavaScript,
for building richly interactive web applications. YUI 2 is a mature
version of the library that has been in production since 2006. The
code line is comprised of a comprehensive collection of over 30
utilities and widgets.

This package installs YUI2 library to Jenkins webapp directory.

%prep
%setup -q -n js-yui-%{version}

# build mimified versions
for f in `find -name "*.js"`; do
    bn="${f%.js}"
    bn="${bn}-min.js"
    slimit --mangle < ${f} > ${bn}
done

cp %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{_jsdir}/%{name}
cp -pr build/* %{buildroot}%{_jsdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/jenkins/war/scripts/
cp -pr build/ %{buildroot}%{_datadir}/jenkins/war/scripts/yui

%files
%{_jsdir}/%{name}
%doc LICENSE-BSD

%files jenkins
%{_datadir}/jenkins/war/scripts/yui
%doc LICENSE-BSD

%changelog
* Fri Sep 26 2014 Michal Srb <msrb@redhat.com> - 2.9.0-6
- Add jenkins subpackage

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 08 2014 Michal Srb <msrb@redhat.com> - 2.9.0-4
- Build mimified version

* Wed Apr 02 2014 Michal Srb <msrb@redhat.com> - 2.9.0-3
- Install also "mimified" versions

* Wed Mar 26 2014 Michal Srb <msrb@redhat.com> - 2.9.0-2
- Remove more unneeded stuff (uploader)
- Clarify licensing a bit

* Tue Jan 28 2014 Michal Srb <msrb@redhat.com> - 2.9-1
- Initial packaging

